%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:           sahara-image-elements
Epoch:          1
Version:        8.0.2
Release:        2%{?dist}
Summary:        Image creation tools for Openstack Sahara

License:        ASL 2.0
URL:            https://launchpad.net/sahara
Source0:        https://tarballs.openstack.org/sahara-image-elements/sahara-image-elements-%{version}%{?milestone}.tar.gz

# patches_ignore=DROP-IN-RPM
# patches_base=8.0.2
Patch0001: 0001-Updating-diskimage-create.sh.patch
Patch0002: 0002-Remove-uneeded-unused-element-disable-repos.patch
Patch0003: 0003-Removing-Unneeded-wrong-repository.patch
Patch0004: 0004-Fix-the-buildimages-jobs-call-the-ensure-tox-role.patch
Patch0005: 0005-Fix-URL-of-Maven-Central-Repository.patch

BuildArch:      noarch

BuildRequires: python2-devel
BuildRequires: python2-setuptools
BuildRequires: python2-pbr >= 2.0.0

Requires: dib-utils
Requires: diskimage-builder >= 1.1.2
Requires: rsync
Requires: wget
Requires: qemu-kvm
Requires: qemu-img
Requires: kpartx
Requires: git

%description
Sahara-image-elements provides the ability to create the images necessary to generate data processing clusters
in Sahara.

%prep
%setup -q -n sahara-image-elements-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install --skip-build --root %{buildroot}

%files
%doc AUTHORS LICENSE ChangeLog
%{_bindir}/sahara-image-create
%{_bindir}/diskimage-create.sh
%{_datadir}/sahara-elements
%{python2_sitelib}/sahara_image_elements-%{upstream_version}-py?.?.egg-info

%changelog
* Wed Oct 28 2020 Miguel Garcia <mgarciac@redhat.com> 1:8.0.2-2
- Fix URL of Maven Central Repository
- Fix the buildimages jobs: call the ensure-tox role

* Tue Jan 28 2020 Miguel Garcia <mgarciac@redhat.com> 1:8.0.2-1
- Update to 8.0.2

* Tue Apr 02 2019 Jon Schlueter <jschluet@redhat.com> 1:8.0.1-4
- archive-primary.cloudera.com -> archive.cloudera.com
- update to stable/queens (rhbz#1695306)

* Fri Jan 25 2019 Steve Linabery <slinaber@redhat.com> 1:8.0.1-3
- firstboot: make rc-local start after cloud-init

* Tue Jul 24 2018 Jon Schlueter <jschluet@redhat.com> 1:8.0.1-2
- Update to 8.0.1

* Mon May 07 2018 Telles Nobrega <tenobreg@redhat.com> 1:8.0.1-0.20180316135145.c235e1e
- Fix (again) the detection of scala version (now https) (rhbz#1575049)

* Wed Apr 11 2018 Jon Schlueter <jschluet@redhat.com> 1:8.0.1-0.20180316135144.c235e1e
- Removing Unneeded/wrong repository (rhbz#1562344)
- Remove uneeded/unused element disable-repos (rhbz#1563687)

* Tue Mar 27 2018 Jon Schlueter <jschluet@redhat.com> 1:8.0.1-0.20180316135143.c235e1e
- Updating diskimage-create.sh (rhbz#1552729)

